피처 플래그 API
피처 플래그 API에 대해 설명합니다.
히스토리 GitLab Premium 12.5에서 도입 . GitLab Free 13.5로 이동 . 이 API를 사용하여 GitLab 피처 플래그 와 상호 작용합니다. 사전 요구사항: Developer, Maintainer 또는 Owner 권한이 있어야 합니다. 프로젝트의 피처 플래그 목록 조회 # 요청한 프로젝트의 모든 피처 플래그를 가져옵니다. GET /projects/:id/feature_flags page 및 per_page 페이지네이션 파라미터를 사용하여 결과의 페이지네이션을 제어합니다. 속성 유형 필수 설명 id 정수 또는 문자열 예 프로젝트의 ID 또는 URL 인코딩된 경로 . scope 문자열 아니오 피처 플래그의 조건, enabled , disabled 중 하나. curl --header "PRIVATE-TOKEN: <your_access_token>" \ --url "https://gitlab.example.com/api/v4/projects/1/feature_flags" 응답 예시: [ { "name" : "merge_train" , "description" : "This feature is about merge train" , "active" : true , "version" : "new_version_flag" , "created_at" : "2019-11-04T08:13:51.423Z" , "updated_at" : "2019-11-04T08:13:51.423Z" , "scopes" : [ ] , "strategies" : [ { "id" : 1 , "name" : "userWithId" , "parameters" : { "userIds" : "user1" } , "scopes" : [ { "id" : 1 , "environment_scope" : "production" } ] , "user_list" : null } ] } , { "name" : "new_live_trace" , "description" : "This is a new live trace feature" , "active" : true , "version" : "new_version_flag" , "created_at" : "2019-11-04T08:13:10.507Z" , "updated_at" : "2019-11-04T08:13:10.507Z" , "scopes" : [ ] , "strategies" : [ { "id" : 2 , "name" : "default" , "parameters" : { } , "scopes" : [ { "id" : 2 , "environment_scope" : "staging" } ] , "user_list" : null } ] } , { "name" : "user_list" , "description" : "This feature is about user list" , "active" : true , "version" : "new_version_flag" , "created_at" : "2019-11-04
